Name:           mediawiki119-Cite
Version:        0
Release:        0.1.20120509git%{?dist}
Summary:        An extension to provide Citation tools for Mediawiki

Group:          Applications/Internet
License:        GPLv2+
URL:            http://www.mediawiki.org/wiki/Extension:Cite
# From https://gerrit.wikimedia.org/r/p/mediawiki/extensions/Cite.git
Source0:        Cite-20120509git.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:       mediawiki119

%description
Citation extension allowing the placing and viewing of footnotes and references
articles stored in Mediawiki

%prep
%setup -q -n Cite

cat > README.fedora <<'EOF'
To complete installation of %{name}, add the
following line to LocalSettings.php: 

  require_once("$IP/extensions/Cite/Cite.php");
  
for each MediaWiki instance you wish to install %{name} on.
For information about how to use this plugin, see its website:

  %{url}
EOF

%build


%install
rm -rf %{buildroot}
install -d %{buildroot}%{_datadir}/mediawiki119/extensions/Cite
install -d %{buildroot}%{_datadir}/mediawiki119/extensions/Cite/modules
install -pm 644 Cite* %{buildroot}%{_datadir}/mediawiki119/extensions/Cite
install -pm 644 Special* %{buildroot}%{_datadir}/mediawiki119/extensions/Cite
install -pm 644 cite* %{buildroot}%{_datadir}/mediawiki119/extensions/Cite
cp -av modules %{buildroot}%{_datadir}/mediawiki119/extensions/Cite/modules

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README.fedora
%{_datadir}/mediawiki119/extensions/Cite

%changelog
* Wed May  9 2012 Stephen Smoogen <ssmoogen@ponyo.int.smoogespace.com> - 0-0.1.20120509gitc60c02f1
- Convert to git tree. Update to latest git

* Fri Jun 10 2011 Ricky Zhou <ricky@fedoraproject.org> - 0-0.1.20110610svn62678
- Update to latest upstream version.

* Tue Oct 07 2008 Nigel Jones <dev@nigelj.com> - 0-0.3.20080901svn
- Add disttag

* Mon Sep 01 2008 Nigel Jones <dev@nigelj.com> - 0-0.2.20080901svn
- Fix description

* Mon Sep 01 2008 Nigel Jones <dev@nigelj.com> - 0-0.1.20080901svn
- Initial package build.
